package common.tileentity;

import common.tags.TagObject;

public class TileEntityComparator extends TileEntity
{
    private int outputSignal;

    public void writeTags(TagObject compound)
    {
        super.writeTags(compound);
        compound.setInt("OutputSignal", this.outputSignal);
    }

    public void readTags(TagObject compound)
    {
        super.readTags(compound);
        this.outputSignal = compound.getInt("OutputSignal");
    }

    public int getOutputSignal()
    {
        return this.outputSignal;
    }

    public void setOutputSignal(int p_145995_1_)
    {
        this.outputSignal = p_145995_1_;
    }
    
    public int getColor() {
    	return 0xaf0000;
    }
}
